## netatalk 2.2.6

=== debian/changelog ===
netatalk (2.2.6-3) unstable; urgency=high

  * Regenerate autotools during build.
    Really closes: Bug#912091. Thanks (again!) to Helmut Grohne.
  * Set urgency=high due to previously fixed CVE-2018-1160.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Dec 2018 11:48:52 +0100

netatalk (2.2.6-2) unstable; urgency=medium

  * Acknowledge NMUs.
    Closes: Bug#864125, #916930.
    Thanks to Salvatore Bonaccorso and Andreas Metzler.
  * Simplify rules:
    + Stop resolve build-dependencies in rules file.
  * Update notes on local build linked with OpenSSL:
    + Rephrase centered on usage needs (not legalese).
    + Use apt (not aptitude or apt-get) in interactive commands.
    + Stop reference obsolete unofficial package repository.
    + Move build details to README.source.
  * Update Vcs-* fields: Maintenance moved to Salsa.
  * Stop build-depend on dh-buildinfo.
  * Update copyright info:
    + Extend coverage of packaging.
    + Use https protocol in format URL.
  * Wrap and sort control file, and strip trailing spaces.
  * Use package priority optional (not extra).
  * Declare compliance with Debian Policy 4.2.1.
  * Fix depend on lsb-base.
  * Configure with --enable-a2boot.
    Closes: Bug#907958. Thanks to T. Joseph Carter.
  * Add patch 106
    to fix detect Berkeley DB installed in multiarch location.
    Closes: Bug#912091. Thanks to Helmut Grohne.
  * Add patches cherry-picked upstream
    to fix unauthenticated remote code execution
    (replacing semantically identical patch 115 added in 2.2.6-1.2).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Dec 2018 19:04:35 +0100

netatalk (2.2.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Unauthenticated remote code execution in Netatalk (CVE-2018-1160)
    (Closes: #916930)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 20 Dec 2018 21:05:54 +0100

netatalk (2.2.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * B-d on libgcrypt20-dev instead of (dummy transition package)
    libgcrypt11-dev. Closes: #864125

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Oct 2018 11:35:03 +0200

netatalk (2.2.6-1) unstable; urgency=medium

  [ upstream ]
  * New stable release.

  [ Jonas Smedegaard ]
  * Update watch file: Limit to 2.x.x releases.
  * Drop patches cherry-picked upstream, now applied.
  * Drop patch 201: etc2ps paths fixed upstream.
  * Advertise DEP3 format in patch headers.
  * Update copyright info:
    + Fix consistently reference license BSD-3-Clause~4.
    + Fix separate License-Grant from License.
    + Fix separate Comment from License.
    + Extend coverage of autotools.
    + Extend coverage of packaging.
    + Relicense packaging as GPL-3+.
  * Update lintian overrides:
    + Tighten overrides regarding license in License-Reference field.
    + Add overrides regarding FIXMEs in copyright_hints file.
  * Drop CUPS workaround build flags: Handled upstream.
  * Drop explicit core build flags: Handled in CDBS.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use git (not gitweb) in path.
  * Declare compliance with Debian Policy 4.0.0.
  * Modernize cdbs: Do copyright-check in maintainer script (not during
    build).
    Stop build-depend on licensecheck.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Jul 2017 14:08:55 -0400
