=== debian/control ===
Source: netatalk
Section: net
Priority: optional
Maintainer: Debian Netatalk team <pkg-netatalk-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Brian Campbell <brian.campbell@editshare.com>,
 Chris Boot <debian@bootc.net>,
Build-Depends:
 autotools-dev,
 cdbs,
 debhelper,
 dh-autoreconf,
 libacl1-dev,
 libavahi-client-dev,
 libcrack2-dev,
 libcups2-dev,
 libdb-dev,
 libgcrypt20-dev,
 libkrb5-dev,
 libldap2-dev,
 libltdl3-dev,
 libpam0g-dev,
 libwrap0-dev,
Build-Conflicts:
 libavahi-compat-libdnssd-dev,
Vcs-Git: https://salsa.debian.org:netatalk-team/netatalk.git
Vcs-Browser: https://salsa.debian.org/netatalk-team/netatalk
Standards-Version: 4.2.1
Homepage: http://netatalk.sourceforge.net/

Package: netatalk
Architecture: any
Depends:
 ${cdbs:Depends},
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Recommends:
 ${cdbs:Recommends},
Suggests:
 ${cdbs:Suggests},
Description: AppleTalk user binaries
 Netatalk is an implementation of the AppleTalk Protocol Suite for
 BSD-derived systems.  The current release contains support for
 EtherTalk Phase I and II, DDP, RTMP, NBP, ZIP, AEP, ATP, PAP, ASP, and
 AFP.
 .
 This package contains all daemon and utility programs as well as Netatalk's
 static libraries.

Package: netatalk-dbg
Section: debug
Architecture: any
Depends:
 netatalk (= ${binary:Version}),
 ${misc:Depends},
Description: Debug symbols for netatalk
 Netatalk is an implementation of the AppleTalk Protocol Suite for
 BSD-derived systems.  The current release contains support for
 EtherTalk Phase I and II, DDP, RTMP, NBP, ZIP, AEP, ATP, PAP, ASP, and
 AFP.
 .
 This package contains the debugging symbols for Netatalk.
