## netatalk 3.1.9

=== debian/changelog ===
netatalk (3.1.9-1) UNRELEASED; urgency=low

  [ Adrian Knoth ]
  * Imported Upstream version 3.1.9
  * Bump standards version
  * Fix lintian warning regarding debian/copyright
  * Add patch to source init functions in init.d script
  * Explicitly disable bundled libevent
  * Bump DH compat level to 9
  * Build-depend on libevent-dev
  * Rename libatalk4 to libatalk17
  * Change init system to debian-systemd
  * Build-depend on dh-systemd

  [ Ilya Rusalowski ]
  * Add logrotate

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Fri, 12 Aug 2016 12:39:40 +0200

netatalk (3.0.6-1) experimental; urgency=low

  [ Tony Hoyle ]
  * New upstream version (3.0.6)

 -- Tony Hoyle <tony@hoyle.me.uk>  Sat, 11 Jan 2014 15:22:00 +0000

netatalk (3.0.3-1) experimental; urgency=low

  [ Martin Loschwitz ]
  * New upstream version (3.0.3)
  * Added the libatalk4 package

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 10 Apr 2013 13:29:51 +0200
