=== debian/control ===
Source: netatalk
Section: net
Priority: extra
Maintainer: Debian Netatalk Packaging <pkg-netatalk-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.106~),
 autotools-dev,
 devscripts,
 debhelper (>= 9~),
 dh-buildinfo,
 libdb-dev,
 libwrap0-dev,
 libpam0g-dev,
 libcups2-dev,
 libkrb5-dev,
 libltdl3-dev,
 libgcrypt11-dev,
 libcrack2-dev,
 libavahi-client-dev,
 libldap2-dev,
 libacl1-dev,
 libevent-dev,
 d-shlibs,
 dh-systemd
Build-Conflicts: libavahi-compat-libdnssd-dev
Vcs-Git: git://git.debian.org/git/collab-maint/netatalk
Vcs-Browser: http://git.debian.org/?p=collab-maint/netatalk.git
Standards-Version: 3.9.5
Homepage: http://netatalk.sourceforge.net/

Package: netatalk
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, ${cdbs:Depends},
   python,
   libatalk17
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: AppleTalk user binaries
 Netatalk is an implementation of the AppleTalk Protocol Suite for
 BSD-derived systems.  The current release contains support for
 EtherTalk Phase I and II, DDP, RTMP, NBP, ZIP, AEP, ATP, PAP, ASP, and
 AFP.
 .
 This package contains all daemon and utility programs as well as Netatalk's
 static libraries.

Package: libatalk17
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: netatalk (<< 3.0.3-1)
Conflicts: netatalk (<< 3.0.3-1)
Description: AppleTalk library used by Netatalk
 Netatalk is an implementation of the AppleTalk Protocol Suite for
 BSD-derived systems. The current release contains support for
 EtherTalk Phase I and II, DDP, RTMP, NBP, ZIP, AEP, ATP, PAP, ASP, and
 AFP.
 .
 This package contains the Atalk library (libatalk) that is part of
 Netatalk since version 3.0.

Package: libatalk-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
   libatalk17 (= ${binary:Version})
Replaces: netatalk (<< 3.0.3-1)
Conflicts: netatalk (<< 3.0.3-1)
Description: AppleTalk library used by Netatalk (header files)
 Netatalk is an implementation of the AppleTalk Protocol Suite for
 BSD-derived systems. The current release contains support for
 EtherTalk Phase I and II, DDP, RTMP, NBP, ZIP, AEP, ATP, PAP, ASP, and
 AFP.
 .
 This package contains the Atalk library (libatalk) development headers.
