## netatalk 3.1.10

=== debian/changelog ===
netatalk (3.1.10-1+deb8u1) stable; urgency=low

  * version number change

 -- Christian Schwamborn <cs@mail.architektur.tu-darmstadt.de>  Wed, 21 Dec 2016 14:07:35 +0100

netatalk (3.1.10-1) stable; urgency=low

  * local build of upstream version 3.1.10

 -- Christian Schwamborn <cs@mail.architektur.tu-darmstadt.de>  Wed, 21 Dec 2016 14:07:35 +0100

netatalk (3.1.9-1) stable; urgency=low

  * local build of upstream version 3.1.9

 -- Christian Schwamborn <cs@mail.architektur.tu-darmstadt.de>  Tue, 06 Sep 2016 15:01:55 +0200

netatalk (3.1.7-1) stable; urgency=low

  * local build of upstream version 3.1.7

 -- Christian Schwamborn <cs@mail.architektur.tu-darmstadt.de>  Tue, 24 Nov 2015 20:38:19 +0200
