=== debian/control ===
Source: netatalk
Section: extra
Priority: optional
Maintainer: Christian Schwamborn <cs@mail.architektur.tu-darmstadt.de>
Build-Depends: debhelper (>= 9), autotools-dev, libevent-dev, libssl-dev, libgcrypt11-dev, libkrb5-dev, libpam0g-dev, libwrap0-dev, libdb-dev, libtdb-dev, libavahi-client-dev, libacl1-dev, libldap2-dev, libcrack2-dev, systemtap-sdt-dev, libdbus-1-dev, libdbus-glib-1-dev, libglib2.0-dev
Standards-Version: 3.9.5
Homepage: https://sourceforge.net/projects/netatalk/

Package: netatalk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsof, procps
Description: AppleTalk user binaries
 Netatalk is an implementation of the AppleTalk Protocol Suite for
 BSD-derived systems.
 .
 This package contains all daemon and utility programs as well as Netatalk's
 static libraries.
