=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
dversionmangle=s/[~+](dfsg|ds)\d*$//,repacksuffix=~ds \
http://sf.net/netatalk/netatalk@ANY_VERSION@@ARCHIVE_EXT@
