## netatalk 3.1.13~ds

=== debian/changelog ===
netatalk (3.1.13~ds-2build1) kinetic; urgency=medium

  * No-change rebuild against libevent-2.1-7a (LP: #1990941)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 07 Oct 2022 19:53:48 +0200

netatalk (3.1.13~ds-2) unstable; urgency=medium

  * add patch 108 to handle ad_entry() returning NULL;
    closes: bug#1013303, thanks to Dennis
  * add patch 109 to avoid deprecated CPAN module IO::Socket::INET6
  * declare compliance with Debian Policy 4.6.1
  * orphan package: set maintainer to Debian QA Group

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Jun 2022 12:25:00 +0200

netatalk (3.1.13~ds-1) unstable; urgency=high

  [ upstream ]
  * new release
    CVE-2021-31439 CVE-2022-0194 CVE-2022-23121 CVE-2022-23122
    CVE-2022-23123 CVE-2022-23124 CVE-2022-23125

  [ Jonas Smedegaard ]
  * update copyright info:
    + drop irrelevant comment
      about spotlight code originating from Wireshark:
      Might be true but according to upstream issue
      report was written by same author
    + update repackaging
      to stop exclude libevent no longer embedded upstream
    + update coverage
  * tighten lintian overrides
  * drop patches cherry-picked upstream now applied
  * unfuzz patches
  * set urgency=high due to fixing multiple CVE issues

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Mar 2022 17:18:08 +0100

netatalk (3.1.12~ds-9) unstable; urgency=medium

  * update copyright info:
    + fix typo in comment
    + improve source script copyright-check
    + update copyright info: use Reference field (not License-Reference);
      tighten lintian overrides
  * declare compliance with Debian Policy 4.6.0
  * use debhelper compatibility level 13 (not 12)
  * generate up-to-date unicode casefolding code during build;
    build-depend on unicode-data

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Sep 2021 20:12:07 +0200

netatalk (3.1.12~ds-8.2) unstable; urgency=high

  * Non-maintainer upload.

  [ Iain Lane ]
  * Build against libtirpc: (Closes: #982633)
    + debian/patches/allow-use-of-tirpc: Fixes quota support being disabled
      where this isn't available.
    + debian/rules: Pass --with-libtirpc to enable this new support.
    + debian/control: BD on libtirpc-dev.
    This solves autopkgtest regression when building with glibc after
    Debian 11 release.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Sep 2021 15:39:24 -0400

netatalk (3.1.12~ds-8.1) unstable; urgency=high

  * Non-maintainer upload.

  [ Iain Lane ]
  * 205_add-support-for-tracker3.patch, control, rules: Port to Tracker 3
    using a patch from Fedora (Closes: #993412)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 07 Sep 2021 19:57:43 -0400

netatalk (3.1.12~ds-8) unstable; urgency=medium

  * update patch 105 to support cross-compilation;
    closes: bug#977570, thanks to Helmut Grohne
  * modernize source script copyright-check
  * copyright:
    + fix separate a License-Grant from a Coyright field
    + rename license shortnames to align more closely with SPDX
    + update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Dec 2020 23:11:11 +0100

netatalk (3.1.12~ds-7) unstable; urgency=medium

  * add patch 105 to fix support cross-compilation;
    closes: bug#973834, thanks to Helmut Grohne
  * rely on autoconf defaults
    (stop explicitly declare default options)
  * simplify rules;
    stop build-depend on autotools-dev cdbs dh-autoreconf
  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.1
  * generate automatic -dbgsym package,
    replacing manual netatalk-dbg package
  * update watch file: use dversionmangle=auto
  * fix pre-depend on misc:Pre-Depends

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Dec 2020 03:57:54 +0100

netatalk (3.1.12~ds-6) unstable; urgency=medium

  * use system-shared libevent:
    + add patch cherry-picked from upstream merge-request
      to avoid embedded libevent
    + unfuzz patch 101
    + exclude libevent when repackaging upstream source
    + build-depend on libevent-dev
  * fix stop needlessly depend on libpam-cracklib
  * link with libssl and Kerberos;
    build-depend on libcrack2-dev libkrb5-dev libssl-dev;
    closes: bug#973120, thanks to Lucas Nussbaum

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Nov 2020 02:05:30 +0100

netatalk (3.1.12~ds-5) unstable; urgency=medium

  * add patches cherry-picked from upstream merge-requests:
    + fix ftbfs with GCC-10;
      closes: bug#957590, thanks to Matthias Klose
    + fix implicit declarations in become_root() and unbecome_root()
    + fix garbage read in bsd_attr_list()
    + fix use after free in get_tm_used()
    + fix afpd segfault in Spotlight SPARQL parser
  * use debhelper compatibility level 10 (not 9)
  * stop build-depend on dh-systemd
    (provided by debhelper even in oldstable);
    closes: bug#958616, thanks to Michael Biebl
  * annotate superficial autopkgtest
  * unfuzz patch 103
  * enable CNID backend mysql
    (MariaDB avoids OpenSSL since 1:10.3.13-1,
    available since buster);
    build-depend on libmariadb-dev-compat
  * simplify source script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Sep 2020 18:06:13 +0200
