## netatalk 3.1.14~ds

=== debian/changelog ===
netatalk (3.1.14~ds-1) unstable; urgency=medium

  * QA upload.

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update upstream URIs to track project at Github (not sourceforge)
  * drop patch cherry-picked upstream now applied
  * drop patches  108 109, obsoleted by upstream changes
  * update and unfuzz remaining patches
  * fix source helper tool copyright-check
    to avoid insecure shell expansion
  * update source helper tool copyright-check
    to extract from illustrator file
  * declare compliance with Debian Policy 4.6.2
  * update git-buildpackage config:
    + use DEP-14 git branches
    + enable automatic DEP-14 branch name handling
    + add usage config

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jan 2023 18:49:16 +0100
