=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: netatalk
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  bison,
  debhelper-compat (= 13),
@@ -32,8 +31,8 @@
  libavahi-compat-libdnssd-dev,
 Vcs-Git: https://salsa.debian.org/netatalk-team/netatalk.git
 Vcs-Browser: https://salsa.debian.org/netatalk-team/netatalk
-Standards-Version: 4.6.1
-Homepage: http://netatalk.sourceforge.net/
+Standards-Version: 4.6.2
+Homepage: https://github.com/Netatalk/Netatalk
 Rules-Requires-Root: no
 
 Package: netatalk
