## netatalk 3.1.15~ds

=== debian/changelog ===
netatalk (3.1.15~ds-1ubuntu1) mantic; urgency=medium

  * d/t/smoke_afpd.t: Remove trailing slash in UAM search path.
    Thanks to Daniel Markstedt for the fix.  (LP: #2023728)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 13 Jun 2023 21:35:32 -0400

netatalk (3.1.15~ds-1) unstable; urgency=high

  [ upstream ]
  * new release
    + fixes CVE-2022-45188 CVE-2022-45188;
      closes: bug#1024021, thanks to Moritz Mühlenhoff

  [ Jonas Smedegaard ]
  * adopt package, thanks to renewed interest in the Netatalk team;
    add Daniel Markstedt as uploader;
    closes: bug#1013308;
    closes: bug#1025011, thanks to Moritz Mühlenhoff
  * drop patches obsoleted by upstream changes
  * unfuzz patches
  * update copyright info: update coverage
  * generate documentation from Markdown source;
    build-depend on cmark-gfm
  * add patch 202 to avoid privacy leak in documentation
  * set urgency=high due to fixing CVE issue

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 May 2023 20:13:06 +0200
