=== debian/control ===
--- 
+++ 
@@ -1,9 +1,14 @@
 Source: netatalk
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Netatalk team <pkg-netatalk-devel@lists.alioth.debian.org>
+Uploaders:
+ Daniel Markstedt <markstedt@gmail.com>,
+ Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
  bison,
+ cmark-gfm <!nodoc>,
  debhelper-compat (= 13),
  flex,
  libacl1-dev,
